﻿Imports System.Windows.Forms

Public Class frmSettings

    Public Sub Init(ByVal imgPath As String, ByVal moveEmpty As Boolean, ByVal showDigits As Boolean)
        txtImagePath.Text = imgPath
        chkShowDigits.Checked = showDigits
        optMoveEmpty.Checked = moveEmpty
        optMoveTile.Checked = Not moveEmpty
    End Sub
    Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles OK_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.OK
        Me.Close()
    End Sub

    Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Cancel_Button.Click
        Me.DialogResult = System.Windows.Forms.DialogResult.Cancel
        Me.Close()
    End Sub

    Private Sub cmdBrowseImage_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdBrowseImage.Click
        Using ofd As New OpenFileDialog
            ofd.Filter = "Images (*.bmp;*.jpg;*.gif)|*.bmp;*.jpg;*.gif|All files (*.*)|*.*"
            If ofd.ShowDialog = Windows.Forms.DialogResult.OK Then
                txtImagePath.Text = ofd.FileName
            End If
        End Using
    End Sub
End Class
